Bug 241078 - Review Request: perl-Net-SSH2 - Support for the SSH 2 protocol via libSSH2
Summary: Review Request: perl-Net-SSH2 - Support for the SSH 2 protocol via libSSH2
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Net-SSH2/
Whiteboard:
Keywords:
Depends On: libssh2
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-23 22:17 UTC by Chris Weyl
Modified: 2016-08-14 16:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-02 21:30:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-05-23 22:17:55 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-SSH2-0.10-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Net-SSH2.spec

Description:
Net::SSH2 is a perl interface to the libssh2 (http://www.libssh2.org)
library. It supports the SSH2 protocol (there is no support for SSH1) with
all of the key exchanges, ciphers, and compression of libssh2.

Comment 1 Mamoru TASAKA 2007-09-28 13:38:18 UTC
As said in bug 239279, I will close this bug if no response
from the reporter is received within ONE WEEK.

Comment 2 Mamoru TASAKA 2007-09-28 13:38:43 UTC
(In reply to comment #1)
> As said in libssh2, I will close this bug if no response
> from the reporter is received within ONE WEEK.

Sorry, I made a confusion...

Comment 3 Chris Weyl 2007-10-14 22:28:50 UTC
Updated for libssh 0.17, though the review this package depends on seems to be
dead.  Sigh.

http://fedora.biggerontheinside.net/review/perl-Net-SSH2-0.10-2.fc7.src.rpm
http://fedora.biggerontheinside.net/review/perl-Net-SSH2.spec

Comment 4 Parag AN(पराग) 2007-11-14 06:16:26 UTC
I think I should move away from this review. As other review on which this
review depends got closed as NOTABUG.

Comment 6 Chris Weyl 2007-11-28 01:37:13 UTC
libssh2 now in Fedora :)

Comment 7 Jason Tibbitts 2007-12-01 04:32:36 UTC
Not much to say; now builds fine in rawhide because libssh2 is there, and
rpmlint is silent.

* source files match upstream:
   4bd78eb0b3099271e2047d4e727c8105c07d22d732ca0fb76c37b11f80b64fc4  
   Net-SSH2-0.18.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   SSH2.so()(64bit)
   perl(Net::SSH2) = 0.18
   perl(Net::SSH2::Channel)
   perl(Net::SSH2::Dir)
   perl(Net::SSH2::File)
   perl(Net::SSH2::Listener)
   perl(Net::SSH2::PublicKey)
   perl(Net::SSH2::SFTP)
   perl-Net-SSH2 = 0.18-1.fc9
  =
   libssh2.so.1()(64bit)
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(Exporter)
   perl(File::Basename)
   perl(IO::File)
   perl(Net::SSH2::Channel)
   perl(Net::SSH2::File)
   perl(Net::SSH2::Listener)
   perl(Net::SSH2::SFTP)
   perl(Socket)
   perl(XSLoader)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   61/72 skipped: - non-interactive session
   All tests successful, 61 subtests skipped.
   Files=1, Tests=72,  0 wallclock secs ( 0.04 cusr +  0.02 csys =  0.06 CPU)
  (Skipped tests are not runnable within mock)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 8 Chris Weyl 2007-12-01 18:38:39 UTC
New Package CVS Request
=======================
Package Name: perl-Net-SSH2
Short Description: Support for the SSH 2 protocol via libSSH2
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig

Comment 9 Chris Weyl 2007-12-02 21:30:57 UTC
Imported and building.  Thanks for the review! :)


Comment 10 Petr Pisar 2012-01-12 13:51:05 UTC
Package Change Request
======================
Package Name: perl-Net-SSH2
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.

Comment 11 Gwyn Ciesla 2012-01-12 14:44:51 UTC
Done.

Comment 12 Petr Šabata 2012-07-02 08:57:02 UTC
Package Change Request
======================
Package Name: perl-Net-SSH2
New Branches: el6
Owners: psabata
InitialCC: perl-sig

Comment 13 Gwyn Ciesla 2012-07-02 12:44:30 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.